--- title: "Get site" slug: "site-detail" tags: ["Click Multi DRM", "Media"] updated: 2026-09-17T10:12:36Z published: 2026-09-17T10:12:36Z canonical: "api.ncloud-docs.com/site-detail" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Get site Available in Classic and VPC Get site details. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET | /api/v1/sites/{siteId} | ### Request headers For information about the headers common to all One Click Multi DRM APIs, see [One Click Multi DRM request headers](/docs/en/one-click-multi-drm-api-overview#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request path parameters You can use the following path parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `siteId` | String | Required | Site ID - See [Get site list](/docs/en/site-list). | ### Request example The request example is as follows: ``` curl --location --request GET 'https://multi-drm.apigw.ntruss.com/api/v1/sites/drm-20250903141775-*****' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --header 'Content-Type: application/json' \ --header 'x-ncp-region_code: KR' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `success` | Boolean | - | API processing result - `true` \| `false` - `true`: Succeeded - `false`: Failed | | `content` | Object | - | Site details | | `content.disabled` | Boolean | - | Whether Sub Account is disabled - `true` \| `false` - `true`: Disabled - `false`: Enabled | | `content.siteId` | String | - | Site ID | | `content.siteName` | String | - | Site name | | `content.siteStatus` | String | - | Site status - `CREATING` \| `READY` \| `RUNNING` \| `DELETED` - `CREATING`: Creating - `READY`: Available - `RUNNING`: In use - `DELETED`: Deleted | | `content.siteEnabledYn` | Boolean | - | Site activation status - `true` \| `false` - `true`: Enabled - `false`: Disabled | | `content.policyId` | Integer | - | DRM policy ID - `0`: Basic | | `content.policyName` | String | - | Policy name - `Basic` (default) | | `content.kmsToken` | String | - | KMS token - Authentication token used to integrate content packaging keys via the CPIX API - Site-specific unique value | | `content.fairPlayCert` | Object | - | FairPlay Streaming authentication information | | `content.fairPlayCert.certFile` | String | - | FPS certificate - DER or CER file created on the Apple Developer Portal - Only HTTP URLs are supported. | | `content.fairPlayCert.privateKey` | String | - | Private key - PEM file - Only HTTP URLs are supported. | | `content.fairPlayCert.privateEncryptedString` | String | - | Passphrase for opening the private key file | | `content.fairPlayCert.secretKey` | String | - | Application Secret Key (ASK) string - Acquired simultaneously with FPS certificate generation | | `content.statistics` | Object | - | Site statistics information | | `content.statistics.siteMontlyActiveUser` | Integer | - | Monthly number of users using DRM-applied content | | `content.statistics.siteMontlyActiveLicense` | Integer | - | Monthly active licenses | | `content.statistics.siteMontlyActiveDevice` | Integer | - | Monthly number of devices that played DRM-applied content | | `content.siteCreatedTime` | Integer | - | Site creation date and time - Unix timestamp format | | `content.siteUpdatedTime` | Integer | - | Site modification date and time - Unix timestamp format | ### Response status codes For information about the response status codes common to all One Click Multi DRM APIs, see [One Click Multi DRM response status codes](/docs/en/one-click-multi-drm-api-overview#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "success": true, "content": { "disabled": false, "siteId": "drm-20250903141775-*****", "siteName": "myDrmSite", "siteStatus": "READY", "siteEnabledYn": false, "policyId": 0, "policyName": "Basic", "kmsToken": "****************************************************************", "fairPlayCert": { "certFile": "myFairPlayCert.cer", "privateKey": "myFairPlayCertPrivateKey.pem", "privateEncryptedString": "************", "secretKey": "************" }, "statistics": { "siteMontlyActiveUser": 0, "siteMontlyActiveDevice": 0, "siteMontlyActiveLicense": 0 }, "siteCreatedTime": 1756876670519, "siteUpdatedTime": 1756844777000 } } ```